summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorGlynn Foster <gman@src.gnome.org>2001-09-19 16:36:53 +0000
committerGlynn Foster <gman@src.gnome.org>2001-09-19 16:36:53 +0000
commitb7413f73dc88ca689e7e749afe2d6eabd1906871 (patch)
tree575350e8a8c548c5cf6d302917239b013b3d856a /autogen.sh
parentdb99ce9205516a9b33bc2f6994939e305069c2f5 (diff)
Start the grunt work towards GNOME 2.0. Lots and lots still to do to
even autogen cleanly. Mainly committing so that I can hack on this out of the office as well ;)
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index ea10bc3dc..7be9115bb 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -8,10 +8,15 @@ PKG_NAME="Gnome Applets"
(test -f $srcdir/configure.in \
&& test -f $srcdir/HACKING \
- && test -d $srcdir/clockmail) || {
+ && test -d $srcdir/sound-monitor) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level gnome applets directory"
+ echo " top-level gnome directory"
exit 1
}
-. $srcdir/macros/autogen.sh
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+USE_GNOME2_MACROS=1 . gnome-autogen.sh